# $Revision: 1.21 $, $Date: 2008/07/27 22:59:00 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pnam	XMLNews-HTMLTemplate
Summary:	XMLNews::HTMLTemplate Perl module - for converting NITF to HTML
Summary(pl.UTF-8):	Moduł Perla XMLNews::HTMLTemplate - konwersja NITF do HTML-a
Name:		perl-XMLNews-HTMLTemplate
Version:	0.01
Release:	5
License:	free
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/D/DM/DMEGG/%{pnam}-%{version}.tar.gz
# Source0-md5:	936eafa6325978be17cf6d94ff5fdf6f
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-XML-Parser
BuildRequires:	perl-XMLNews-Meta
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The XMLNews::HTMLTemplate module provides a simple mechanism for
creating HTML pages from XML/NITF news stories and/or XML/RDF metadata
files based on a user-supplied template file. The template is a simple
HTML file (SGML or XML flavour) using special template commands.

%description -l pl.UTF-8
Moduł XMLNews::HTMLTemplate udostępnia prosty mechanizm do tworzenia
stron HTML z artykułów XML/NITF i/lub plików metadanych XML/RDF,
bazując na podanym pliku z szablonem. Szablon jest prostym plikiem
HTML (w wersji SGML lub XML) ze specjalnymi poleceniami.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/XMLNews/HTMLTemplate.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XMLNews-HTMLTemplate.spec,v $
Revision 1.21  2008/07/27 22:59:00  arekm
- release 5

Revision 1.20  2007-02-13 08:06:38  glen
- tabs in preamble

Revision 1.19  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.18  2004/12/01 10:48:55  radek
- standarized Source0 URL

Revision 1.17  2004/12/01 10:13:43  radek
- standarized Source0 URL

Revision 1.16  2004/11/03 22:30:57  paladine
- formatting

Revision 1.15  2004/06/05 18:10:50  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.14  2004/05/07 01:12:28  ankry
- rel. 4

Revision 1.13  2004/05/06 18:21:33  ankry
- fixed perl-devel BR

Revision 1.12  2004/05/04 23:35:15  ankry
- cosmetics

Revision 1.11  2004/04/27 15:26:30  ankry
- new bconds

Revision 1.10  2004/04/15 19:46:36  ankry
- cosmetics, unification

Revision 1.9  2004/02/23 22:09:00  ankry
- pl fixes, cosmetics

Revision 1.8  2003/08/18 08:09:28  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:01:14  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:25:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:45  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/01 22:11:26  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:43:23  radek
- use the __perl macro

Revision 1.2  2002/08/18 12:18:41  blues
- release 2 - license fix; STBR

Revision 1.1  2002/08/04 19:23:52  qboosh
- new
